// ファイル名： Ch04/funcBox_05_Invalid.cc 
#include <iostream> 
#include "units.inc" 
using namespace std; 
void scaleBoxVolume(double, double, double, double); 
 
int main() { 
  double x=35.0*cm, y=2.5*mm, z=1.5*m, scale=3.0; 
  scaleBoxVolume(x, y, z, scale); 
  cout << "(x,y,z)= " << x/cm << "cm, " <<y/mm <<"mm, "  
       << z/m << "m" << endl; 
  return 0; } 
 
void scaleBoxVolume(double xL, double yL, double zL, double s)  
{ xL=s*xL; yL=s*yL; zL=s*zL; } 
